Update a formula rate tier

patch

/crmRestApi/resources/11.13.18.05/subscriptionFormulaPlans/{FormulaPlanPuid}/child/formulaRates/{RateVariablePuid}/child/formulaRateTiers/{formulaRateTiersUniqID}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the Tier Headers VO resource and used to uniquely identify an instance of Tier Headers VO. The client should not generate the hash key value. Instead, the client should query on the Tier Headers VO collection resource in order to navigate to a specific instance of Tier Headers VO to get the hash key.
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Tier Lines VO
Type: array
Title: Tier Lines VO
Formula rate tier lines define the individual tier ranges and calculation values within a formula rate tier.
Show Source
Nested Schema : schema
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-item-response
Type: object
Show Source
Nested Schema : Tier Lines VO
Type: array
Title: Tier Lines VO
Formula rate tier lines define the individual tier ranges and calculation values within a formula rate tier.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-formulaRateTierLines-item-response
Type: object
Show Source
Back to Top